ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Douglas Guptill <dgupt...@thinweb.com>
Subject Re: Cannot use classic compiler, as it is not available
Date Fri, 01 Dec 2000 19:05:24 GMT
Joe Faith wrote:
> 
> I keep getting the error message
> 
>     Cannot use classic compiler, as it is not available
> 
> when trying to compile Java classes with ant.
> Javac works fine from the (Debian Linux) command line.
> 
> I've checked that PATH includes javac, and that CLASSPATH includes
> tools.jar.
> Any other ideas?
> 
> Thanks
> Joe Faith
> Runtime Collective
> 

maybe a problem with .java_wrapper?  The one in Sun's jdk118_v1 uses
JAVA_HOME if it is set,
and consequently fails if used from an "exec" in ant under jdk1.2.

(I modified .java_wrapper to solve the problem.)

Doug.
-- 
------------------------------------------------------------------
Douglas Guptill                   dguptill@thinweb.com
Quality Assurance Specialist      902-425-2802 x 222
thinWEB Technologies              http://www.thinWEB.com

Mime
View raw message